<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
xmlns:esadout="urn:customs.ru:Information:CustomsDocuments:ESADout:4.2.0" 
xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:4.2.0" 
xmlns:catESAD_ru="urn:customs.ru:ESADCommonAggregateTypes:4.7.0"

xmlns:Body="urn:customs.ru:Information:ExchangeDocuments:ED_Container:4.2.0" 
xmlns:dtsout="urn:customs.ru:Information:CustomsDocuments:DTSout:4.2.0"
xmlns:cat_EDTS_ru="urn:customs.ru:ESADDTSCommonAggregateTypes:4.2.0">

<xsl:output method="xml"/>
<!--загрузка из xml таможенного формата-->

 <xsl:template match="*|/">
	<xsl:apply-templates select="//esadout:ESADout"/>
</xsl:template>

  <xsl:template match="esadout:ESADout">
	  <DCL>
			<DCL_ITEM>
				<G011><xsl:value-of select="esadout:CustomsProcedure"/></G011>
				<G07_CODE><xsl:value-of select="esadout:DeclarationKind"/></G07_CODE>
				<G012><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoods[1]/catESAD_ru:ESADCustomsProcedure/catESAD_ru:MainCustomsModeCode"/></G012>
				<G05><xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalGoodsNumber"/></G05>						
				<G06><xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalPackageNumber"/></G06>						
				<G020><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:OGRN"/></G020> 
				<G021><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:INN"/></G021>
				<G027><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:KPP"/></G027>
				<G022><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/cat_ru:OrganizationName"/></G022>
				<G0231><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:CountryCode"/></G0231>
				<G023POST><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:PostalCode"/></G023POST>
				<G023SUBD><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:Region"/></G023SUBD>
				<G023CITY><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:City"/></G023CITY>
				<G023STREET><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignor/catESAD_ru:Address/cat_ru:StreetHouse"/></G023STREET>

				<G080><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:OGRN"/></G080>
				<G081><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:INN"/></G081>
				<G087><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:KPP"/></G087>
				<G082><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/cat_ru:OrganizationName"/></G082>						
				<G0831><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:CountryCode"/></G0831>
				<G083POST><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:PostalCode"/></G083POST>
				<G083SUBD><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:Region"/></G083SUBD>
				<G083CITY><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:City"/></G083CITY>
				<G083STREET><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsignee/catESAD_ru:Address/cat_ru:StreetHouse"/></G083STREET>

				<G090><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/cat_ru:OGRN"/></G090>
				<G091><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/cat_ru:INN"/></G091>
				<G097><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/cat_ru:KPP"/></G097>							
				<G092><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/cat_ru:OrganizationName"/></G092>						
				<G0931><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/catESAD_ru:Address/cat_ru:CountryCode"/></G0931>
				<G093POST><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/catESAD_ru:Address/cat_ru:PostalCode"/></G093POST>
				<G093SUBD><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/catESAD_ru:Address/cat_ru:Region"/></G093SUBD>
				<G093CITY><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/catESAD_ru:Address/cat_ru:City"/></G093CITY>
				<G093STREET><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFinancialAdjustingResponsiblePerson/catESAD_ru:Address/cat_ru:StreetHouse"/></G093STREET>

				<G12><xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:TotalCustCost"/></G12>						
				<G121><xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:CustCostCurrencyCode"/></G121>						
	
				<G15><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:DispatchCountryName"/></G15>						
				<G15A><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:DispatchCountryCode"/></G15A>
	
				<G16><xsl:value-of select="esadout:ESADoutGoodsShipment/catESAD_ru:OriginCountryName"/></G16>						

				<G17A><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:DestinationCountryCode"/></G17A>						
				<G17B><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:DestinationCountryName"/></G17B>
	
				<G11><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:TradeCountryCode"/></G11>
				<G202><xsl:value-of select="esadout:ESADoutGoodsShipment/ESADoutMainContractTerms/catESAD_ru:ESADDeliveryTerms/cat_ru:DeliveryTermsStringCode"/></G202>						
				<G2021><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:ESADDeliveryTerms/cat_ru:DeliveryPlace"/></G2021>						
	
				<G221><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:ContractCurrencyCode"/></G221>						
				<G222><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:TotalInvoiceAmount"/></G222>						
				<G23><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:ContractCurrencyRate"/></G23>						
				<G230><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:CurrencyRateDate"/></G230>	
	
				<G251><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/ESADoutBorderTransport/catESAD_ru:TransportModeCode"/></G251>						
				<G261><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutDepartureArrivalTransport/catESAD_ru:TransportModeCode"/></G261>
 	
				<xsl:variable name="G270t">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:InformationTypeCode"/>
				</xsl:variable> 
				<G270><xsl:value-of select="$G270t"/></G270>
				<xsl:if test="$G270t='11' or $G270t='21' or $G270t='25'">
					<G2710><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaceWarehousecat/catESAD_ru:DocumentModeCode"/></G2710>
					<G271><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaceWarehousecat/catESAD_ru:CertificateNumber"/></G271>
					<G2711><xsl:value-of select="esadout:ESADoutGoodsShipment/ESADoutConsigment/ESADoutLoadingPlace/catESAD_ru:LoadingPlaceWarehousecat/catESAD_ru:CertificateDate"/></G2711>
					<G2712><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaceWarehouse/catESAD_ru:CustomsOfficeID"/></G2712>
				</xsl:if>
				<xsl:if test="$G270t='31'">
					<G2712><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaseConsignee/catESAD_ru:CustomsOfficeID"/></G2712>
				</xsl:if>
				<xsl:if test="$G270t!='11' and $G270t!='21' and $G270t!='25' and $G270t!='31'">
					<G27ADD><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaceOther/catESAD_ru:GoodsLoadingPlaceDesc"/></G27ADD>
					<G2712><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/esadout:ESADoutLoadingPlace/catESAD_ru:LoadingPlaceOther/catESAD_ru:CustomsOfficeID"/></G2712>
				</xsl:if>

				<G281PASSPORT><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:FinancialDocuments/catESAD_ru:FinDocumentNumber"/></G281PASSPORT>
				<G28INN><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:BankOrganization/catESAD_ru:INN"/></G28INN>
				<xsl:variable name="code">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:FinancialDocuments/catESAD_ru:GtdRegNumber/cat_ru:CustomsCode"/>
				</xsl:variable>
				<xsl:variable name="data">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:FinancialDocuments/catESAD_ru:GtdRegNumber/cat_ru:RegistrationDate"/>
				</xsl:variable>
				<xsl:if test=" string-length($code)>0" >
					<G28GTD><xsl:value-of select="$code"/>/<xsl:value-of select="substring($data,1,4)"/><xsl:value-of select="substring($data,6,2)"/><xsl:value-of select="substring($data,9,2)"/>/<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:FinancialDocuments/catESAD_ru:GtdRegNumber/cat_ru:GTDNumber"/></G28GTD>
				</xsl:if>
				<G281OTH><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:AdditionalFinancialData"/></G281OTH>
				<G28211><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:PaymentFormCode"/></G28211>
				<G28212><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:DealFeatureCode"/></G28212>
				<G28221><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:DealNatureCode"/></G28221>
				<G28222><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:PaymentFeature"/></G28222>
				<G2823><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:FirstPaymentDate"/></G2823>
				<G28230><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:FirstPaymentIndicator"/></G28230>
				<G2824><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:LastPaymentDate"/></G2824>
				<G28240><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:LastPaymentIndicator"/></G28240>
				<G2825><xsl:value-of select="esadout:ESADoutGoodsShipment/ESADoutMainContractTerms/catESAD_ru:DealFeatures/catESAD_ru:AgreementCurrencyCode"/></G2825>

				<G29><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:BorderCustomsOffice/cat_ru:Code"/></G29>				
				<M29><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutConsigment/catESAD_ru:BorderCustomsOffice/cat_ru:OfficeName"/></M29>	
				<xsl:variable name="G300t">
					<xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:InformationTypeCode"/>
				</xsl:variable> 
				<G300><xsl:value-of select="$G300t"/></G300>  
				<xsl:if test="$G300t='11' or $G300t='21' or $G300t='25'">
					<G30><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:GoodsLocationPlaceDesc"/></G30>				
					<G301><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationWarehouse/catESAD_ru:CertificateNumber"/></G301>			
					<G3010><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationWarehouse/catESAD_ru:DocumentModeCode"/></G3010>
					<G3012><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationWarehouse/catESAD_ru:CustomsOfficeID"/></G3012>	
				</xsl:if>
				<xsl:if test="$G300t!='11' and $G300t!='21' and $G300t!='25' and $G300t!='81'">
					<G30><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:GoodsLocationPlaceDesc"/></G30>
					<G3012><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:CustomsOfficeID"/></G3012>	
					<G301><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:RailwayStationCode"/></G301>			
					<G30SUBD><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:Address/cat_ru:Region"/></G30SUBD>
					<G30CITY><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:Address/cat_ru:City"/></G30CITY>
					<G30STREET><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:GoodsLocationPlace/catESAD_ru:Address/cat_ru:StreetHouse"/></G30STREET>
				</xsl:if>			
				<xsl:if test="$G300t='81'">
					<G301><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoodsLocation/catESAD_ru:StTransport/catESAD_ru:StTransportName"/></G301>	
				</xsl:if>

				<G5441><xsl:value-of select="esadout:ESADoutGoodsShipment/esadout:ESADoutFilledPerson/cat_ru:PersonName"/></G5441>	

				<DCL_LOAD>
					<xsl:for-each select="esadout:ESADoutGoodsShipment/esadout:ESADoutGoods">
						<DCL_LOAD_ITEM>
							<xsl:variable name="G32t">
								<xsl:value-of select="catESAD_ru:GoodsNumeric"/>
							</xsl:variable> 
							<G32><xsl:value-of select="$G32t"/></G32>
							<G31_1><xsl:value-of select="catESAD_ru:GoodsDescription"/></G31_1>
							<G31_2><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PakageQuantity"/></G31_2>
							<PackCountFull><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PakageQuantity"/></PackCountFull>
							<PackCountPart><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PakagePartQuantity"/></PackCountPart>
							<G31_20><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PakageTypeCode"/></G31_20>
							<G31_7><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity/catESAD_ru:GoodsQuantity"/></G31_7>
							<G31_71><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity/catESAD_ru:MeasureUnitQualifierName"/></G31_71>
							<G31_8><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity1/catESAD_ru:GoodsQuantity"/></G31_8>
							<G31_81><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity1/catESAD_ru:MeasureUnitQualifierName"/></G31_81>
							<G31_82><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity1/catESAD_ru:MeasureUnitQualifierCode"/></G31_82>
							<G33><xsl:value-of select="catESAD_ru:GoodsTNVEDCode"/></G33>
							<G34><xsl:value-of select="catESAD_ru:OriginCountryCode"/></G34>
							<G31_13><xsl:value-of select="catESAD_ru:OriginCountryName"/></G31_13>
							<G35><xsl:value-of select="catESAD_ru:GrossWeightQuantity"/></G35>
							<G37><xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:MainCustomsModeCode"/><xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:PrecedingCustomsModeCode"/><xsl:value-of select="catESAD_ru:ESADCustomsProcedure/catESAD_ru:GoodsTransferFeature"/></G37>
							<G38><xsl:value-of select="catESAD_ru:NetWeightQuantity"/></G38>
							<G41A><xsl:value-of select="catESAD_ru:SupplementaryGoodsQuantity/catESAD_ru:MeasureUnitQualifierCode"/></G41A>
							<G42><xsl:value-of select="catESAD_ru:InvoicedCost"/></G42>
							<G45><xsl:value-of select="catESAD_ru:CustomsCost"/></G45>
							<G46><xsl:value-of select="catESAD_ru:StatisticalCost"/></G46>
							<G31_22><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PalleteInformation/catESAD_ru:PalleteQuantity"/></G31_22>
							<G31_23><xsl:value-of select="catESAD_ru:ESADGoodsPackaging/catESAD_ru:PalleteInformation/catESAD_ru:PalleteDescription"/></G31_23>
								
							<DCL_LOAD_ITEM>
								<xsl:for-each select="catESAD_ru:GoodsGroupDescription">
									<DCL_LOAD_ITEM_ITEM>
										<G32><xsl:value-of select="$G32t"/></G32>
										<G32G><xsl:value-of select="position()"/></G32G>
										<G31_10><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:MilitaryProductCategoryCode"/></G31_10>
										<G31_11><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:Manufacturer"/></G31_11>
										<G31_12><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:TradeMark"/></G31_12>
										<G31_14><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsMark"/></G31_14>
										<G31_15><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsMarking"/></G31_15>
										<G31_16><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsStandard"/></G31_16>
										<G31_17><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsSort"/></G31_17>
										<G31_18><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:WoodSortiment"/></G31_18>
										<G31_19><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:WoodKind"/></G31_19>
										<G31_20><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:Dimensions"/></G31_20>
										<quantity><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsGroupQuantity/catESAD_ru:GoodsQuantity"/></quantity>
										<unit_code><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsGroupQuantity/catESAD_ru:MeasureUnitQualifierCode"/></unit_code>
										<unit_name><xsl:value-of select="catESAD_ru:GoodsGroupInformation/catESAD_ru:GoodsGroupQuantity/catESAD_ru:MeasureUnitQualifierName"/></unit_name>
										<ADDINFO><xsl:value-of select="catESAD_ru:GoodsDescription"/></ADDINFO>
										<xsl:for-each select="//catESAD_ru:ESADContainer/catESAD_ru:ContainerNumber">
											<xsl:if test="../../catESAD_ru:GoodsNumeric=$G32t">
												<cont_num><xsl:value-of select="catESAD_ru:ContainerIdentificaror"/></cont_num>
												<cont_type><xsl:value-of select="catESAD_ru:FullIndicator"/></cont_type>
											</xsl:if>
										</xsl:for-each>
										<xsl:for-each select="//catESAD_ru:GoodsItemDeliveryTerms">
											<xsl:if test="../../catESAD_ru:GoodsNumeric=$G32t">
												<G202t><xsl:value-of select="cat_ru:DeliveryTermsStringCode"/></G202t>
												<G2021t><xsl:value-of select="cat_ru:DeliveryPlace"/></G2021t>	
											</xsl:if>	
										</xsl:for-each>
									</DCL_LOAD_ITEM_ITEM>
								</xsl:for-each>
							</DCL_LOAD_ITEM>
							<DCL_LOAD_USLP>
								<xsl:for-each select="catESAD_ru:GoodsItemDeliveryTerms">
									<DCL_LOAD_USLP_ITEM>
										<G202t><xsl:value-of select="cat_ru:DeliveryTermsStringCode"/></G202t>
										<G2021t><xsl:value-of select="cat_ru:DeliveryPlace"/></G2021t>	
									</DCL_LOAD_USLP_ITEM>								
								</xsl:for-each>
							</DCL_LOAD_USLP>
							<xsl:for-each select="catESAD_ru:ESADContainer">
								<DCL_LOAD_CONT>
									<xsl:for-each select="catESAD_ru:ContainerNumber">
										<DCL_LOAD_CONT_ITEM>
											<cont_num><xsl:value-of select="catESAD_ru:ContainerIdentificaror"/></cont_num>
											<cont_type><xsl:value-of select="catESAD_ru:FullIndicator"/></cont_type>
										</DCL_LOAD_CONT_ITEM>
									</xsl:for-each>
								</DCL_LOAD_CONT>			
							</xsl:for-each>
							<DCL_LOAD_DOC>
								<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ESADoutBasicPresentedDocument">
									<DCL_LOAD_DOC_ITEM>
											<G32><xsl:value-of select="$G32t"/></G32>
											<DOC_NUM><xsl:value-of select="catESAD_ru:LineNumber"/></DOC_NUM>			 						
											<G4402><xsl:value-of select="catESAD_ru:SubLineNumber"/></G4402>	
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>	
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:PaymentPrivilegeDocument">
										<DCL_LOAD_DOC_ITEM>																									
											<G32><xsl:value-of select="$G32t"/></G32>										
											<DOC_NUM>7</DOC_NUM>			 						
											<G4402>1</G4402>				
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:PaymentGuaranteeDocument">
										<DCL_LOAD_DOC_ITEM>											
											<G32><xsl:value-of select="$G32t"/></G32>
											<DOC_NUM>7</DOC_NUM>			 						
											<G4402>2</G4402>				
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ExciseDocument">
										<DCL_LOAD_DOC_ITEM>										
											<G32><xsl:value-of select="$G32t"/></G32>										
											<DOC_NUM>8</DOC_NUM>			 						
											<G4402>0</G4402>											
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:EconomicAreaDocuments">
										<DCL_LOAD_DOC_ITEM>																
											<G32><xsl:value-of select="$G32t"/></G32>										
											<DOC_NUM>9</DOC_NUM>			 						
											<G4402>1</G4402>			
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:WarehouseDocument">
										<DCL_LOAD_DOC_ITEM>															
											<G32><xsl:value-of select="$G32t"/></G32>										
											<DOC_NUM>9</DOC_NUM>			 						
											<G4402><xsl:value-of select="catESAD_ru:SubLineNumber"/></G4402>	
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ProcessingDocument">
										<DCL_LOAD_DOC_ITEM>														
											<G32><xsl:value-of select="$G32t"/></G32>
											<DOC_NUM>9</DOC_NUM>			 						
											<G4402><xsl:value-of select="catESAD_ru:SubLineNumber"/></G4402>	
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
										</DCL_LOAD_DOC_ITEM>						
									</xsl:for-each>
									<xsl:for-each select="esadout:ESADoutPresentedDocument/esadout:ReimportDocument">
										<DCL_LOAD_DOC_ITEM>										
											<G32><xsl:value-of select="$G32t"/></G32>											
											<DOC_NUM>9</DOC_NUM>			 						
											<G4402>6</G4402>										
											<G441><xsl:value-of select="catESAD_ru:PresentedDocumentModeCode"/></G441>
											<G442><xsl:value-of select="cat_ru:PrDocumentNumber"/></G442>
											<xsl:if test="string-length(catESAD_ru:OrganizationName)>0">
												<G442R><xsl:value-of select="catESAD_ru:OrganizationName"/></G442R>	
											</xsl:if>
											<G443><xsl:value-of select="cat_ru:PrDocumentDate"/></G443>
											<G444><xsl:value-of select="cat_ru:PrDocumentName"/></G444>							
											<G446><xsl:value-of select="catESAD_ru:DocumentBeginActionsDate"/></G446>
											<G447><xsl:value-of select="catESAD_ru:DocumentEndActionsDate"/></G447>									
									</DCL_LOAD_DOC_ITEM>						
								</xsl:for-each>
							</DCL_LOAD_DOC>		
							<DCL_LOAD_EXCMARK>
								<xsl:for-each select="catESAD_ru:ESADExcise">
									<DCL_LOAD_EXCMARK_ITEM>
										<SERIES><xsl:value-of select="catESAD_ru:ExciseSerieses"/></SERIES>
										<NUM_START><xsl:value-of select="catESAD_ru:ExciseFirstNumber"/></NUM_START>
										<NUM_END><xsl:value-of select="catESAD_ru:ExciseLastNumber"/></NUM_END>
										<QUANT><xsl:value-of select="catESAD_ru:ExciseQuantity"/></QUANT>
									</DCL_LOAD_EXCMARK_ITEM>
								</xsl:for-each>
							</DCL_LOAD_EXCMARK>

							<xsl:for-each select="//Body:DocBody/dtsout:DTSout">
								 <DCL_LOAD_DTC>
									<xsl:for-each select="dtsout:DTSGoodsCustomsCost">
										<xsl:if test="cat_EDTS_ru:GTDGoodsNumber=$G32t">
											<DCL_LOAD_DTC_ITEM>
												<CH><xsl:value-of select="cat_EDTS_ru:SheetNumber"/></CH>
												<CH1><xsl:value-of select="cat_EDTS_ru:SheetGoodsSerialNumber"/></CH1>
												<NTOV><xsl:value-of select="cat_EDTS_ru:GTDGoodsNumber"/></NTOV>
												<D17A><xsl:value-of select="cat_EDTS_ru:CustomsCostCalculation/cat_EDTS_ru:DTSMethod1/cat_EDTS_ru:Method1AdditionalSum/cat_EDTS_ru:BorderTransportCharges"/></D17A>
												<D17B><xsl:value-of select="cat_EDTS_ru:CustomsCostCalculation/cat_EDTS_ru:DTSMethod1/cat_EDTS_ru:Method1AdditionalSum/cat_EDTS_ru:LoadCharges"/></D17B>
												<D17C><xsl:value-of select="cat_EDTS_ru:CustomsCostCalculation/cat_EDTS_ru:DTSMethod1/cat_EDTS_ru:Method1AdditionalSum/cat_EDTS_ru:InsuranceCharges"/></D17C>
												<G33><xsl:value-of select="cat_EDTS_ru:GoodsTNVEDCode"/></G33>
												<PLACE><xsl:value-of select="cat_EDTS_ru:CustomsCostCalculation/cat_EDTS_ru:DTSMethod1/cat_EDTS_ru:Method1AdditionalSum/cat_EDTS_ru:BorderPlace"/></PLACE>
											</DCL_LOAD_DTC_ITEM>
										</xsl:if>
									</xsl:for-each>
								</DCL_LOAD_DTC>
							</xsl:for-each>
						</DCL_LOAD_ITEM>
					</xsl:for-each>
				</DCL_LOAD>	
			</DCL_ITEM>
		</DCL>
  </xsl:template>	
    
</xsl:stylesheet>
