<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml"/>
  <xsl:template name="PaspDriv">
		<xsl:param name="Field"/>
		<xsl:param name="FieldN"/>
		<xsl:choose>
			<xsl:when test="string-length($FieldN)>0">
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/>/</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="string-length($Field)>0">
					<xsl:value-of select="$Field"/>
					<xsl:text> </xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="FG181">
		<xsl:call-template name="PaspDriv">
			<xsl:with-param name="Field" select="NTRANS"/>
			<xsl:with-param name="FieldN" select="NTRANS1"/>
		</xsl:call-template>
		<xsl:call-template name="PaspDriv">
			<xsl:with-param name="Field" select="NTRANS1"/>
			<xsl:with-param name="FieldN" select="NTRANS2"/>
		</xsl:call-template>
		<xsl:if test="string-length(NTRANS2)>0">
			<xsl:value-of select="normalize-space(NTRANS2)"/>
		</xsl:if>				
	</xsl:template>    
    
	<xsl:template match="/DCL/DCL_ITEM">
		<SPECPRIM>
			<SPECPRIM_ITEM>
				<G011><xsl:value-of select="G011"/></G011>
				<G022><xsl:value-of select="G022"/></G022>
				<G082><xsl:value-of select="G082"/></G082>
				<G221><xsl:value-of select="G221"/></G221>
				<xsl:if test="string-length(G23)>0">
					<G23><xsl:value-of select="G23"/></G23>
				</xsl:if>
				<G202><xsl:value-of select="DCL_LOAD/DCL_LOAD_ITEM/DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G202t"/></G202>
				<G2021><xsl:value-of select="DCL_LOAD/DCL_LOAD_ITEM/DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM/G2021t"/></G2021>
				<M021><xsl:value-of select="G021"/></M021>
				<M081><xsl:value-of select="G081"/></M081>
				<xsl:if test="count(DCL_TRANS/DCL_TRANS_ITEM)>0">
					<xsl:for-each select="DCL_TRANS/DCL_TRANS_ITEM[NGR=18]">
						<xsl:if test="position()=1">
							<TRANSPINFO><xsl:call-template name="FG181"/></TRANSPINFO>
						</xsl:if>
					</xsl:for-each>
				</xsl:if>
				<SPECDOP>
					<xsl:for-each select="DCL_LOAD/DCL_LOAD_ITEM/DCL_LOAD_ITEM/DCL_LOAD_ITEM_ITEM">
						<SPECDOP_ITEM>
							<ADDINFO><xsl:value-of select="ADDINFO"/></ADDINFO>
							<xsl:if test="count(../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM/CONT_NUM)>0">
								<CONTAINER>
									<xsl:for-each select="../../DCL_LOAD_CONT/DCL_LOAD_CONT_ITEM">
										<xsl:value-of select="CONT_NUM"/>
										<xsl:if test="position()!=last()">
											<xsl:text>,</xsl:text>
										</xsl:if>
									</xsl:for-each>
								</CONTAINER>
							</xsl:if>
							<xsl:for-each select="../../DCL_LOAD_DOC/DCL_LOAD_DOC_ITEM">
								<xsl:if test="position()=1">
									<DOCCODE1><xsl:value-of select="G441"/></DOCCODE1>
									<DOCDATE1><xsl:value-of select="G443"/></DOCDATE1>
									<DOCNUM1><xsl:value-of select="G442"/></DOCNUM1>
								</xsl:if>
								<xsl:if test="position()=2">
									<DOCCODE2><xsl:value-of select="G441"/></DOCCODE2>
									<DOCDATE2><xsl:value-of select="G443"/></DOCDATE2>
									<DOCNUM2><xsl:value-of select="G442"/></DOCNUM2>
								</xsl:if>
								<xsl:if test="position()=3">
									<DOCCODE3><xsl:value-of select="G441"/></DOCCODE3>
									<DOCDATE3><xsl:value-of select="G443"/></DOCDATE3>
									<DOCNUM3><xsl:value-of select="G442"/></DOCNUM3>
								</xsl:if>
							</xsl:for-each>
							<G31_10><xsl:value-of select="G31_10"/></G31_10>
							<G31_12><xsl:value-of select="G31_12"/></G31_12>
							<G31_14><xsl:value-of select="G31_14"/></G31_14>
							<G31_15><xsl:value-of select="G31_15"/></G31_15>
							<G31_16><xsl:value-of select="G31_16"/></G31_16>
							<G31_17><xsl:value-of select="G31_17"/></G31_17>
							<G31_18><xsl:value-of select="G31_18"/></G31_18>
							<G31_19><xsl:value-of select="G31_19"/></G31_19>
							<G31_20><xsl:value-of select="G31_20"/></G31_20>

							<G312><xsl:value-of select="../../G31_1"/></G312>
							<xsl:if test="string-length(../../G31_71)>0">
								<G315><xsl:value-of select="../../G31_71"/></G315>
							</xsl:if>		
							<xsl:if test="string-length(../../G31_7)>0">
								<G315A><xsl:value-of select="../../G31_7"/></G315A>
							</xsl:if>
							<xsl:if test="string-length(../../G31_8)>0">
								<G315C><xsl:value-of select="../../G31_8"/></G315C>
							</xsl:if>									
							<xsl:if test="string-length(../../G31_81)>0">									
								<G315CN><xsl:value-of select="../../G31_81"/></G315CN>									
							</xsl:if>																			
							<G32><xsl:value-of select="../../G32"/></G32>
							<G33><xsl:value-of select="../../G33"/></G33>
							<G34><xsl:value-of select="../../G34"/></G34>
							<xsl:if test="string-length(../../G35)>0">
								<G35><xsl:value-of select="format-number(../../G35,'#.000')"/></G35>
							</xsl:if>
							<xsl:if test="string-length(../../G38)>0">
								<G38><xsl:value-of select="format-number(../../G38,'#.000')"/></G38>
							</xsl:if>
							<xsl:if test="string-length(../../G42)>0">
								<G42><xsl:value-of select="format-number(../../G42,'#.00')"/></G42>
							</xsl:if>
							<xsl:if test="string-length(PRICE)>0">
								<G42PERUNIT><xsl:value-of select="format-number(PRICE,'#.00')"/></G42PERUNIT>
							</xsl:if>

							<xsl:if test="string-length(../../G45)>0">
								<G45><xsl:value-of select="../../G45"/></G45>
							</xsl:if>	
							<xsl:if test="string-length(../../G46)>0">
								<G46><xsl:value-of select="format-number(../../G46,'#.00')"/></G46>
							</xsl:if>
							<xsl:for-each select="../../DCL_LOAD_PACK/DCL_LOAD_PACK_ITEM">
								<xsl:choose>
									<xsl:when test="PKSIGN=3">
										<PKKOLVO_PODDON><xsl:value-of select="PACK_QUANT"/></PKKOLVO_PODDON>
										<PKVID_PODDON><xsl:value-of select="PACK_CODE"/></PKVID_PODDON>
									</xsl:when>
									<xsl:when test="PKSIGN=2">
										<PKVID_GRUZ><xsl:value-of select="PACK_CODE"/></PKVID_GRUZ>
									</xsl:when>
									<xsl:when test="PKSIGN=1">
										<PKVID_TARA><xsl:value-of select="PACK_CODE"/></PKVID_TARA>
									</xsl:when>
									<xsl:otherwise>
										<PKVID_UPAK><xsl:value-of select="PACK_CODE"/></PKVID_UPAK>
										<PKKOLVO_UPAK><xsl:value-of select="PACK_QUANT"/></PKKOLVO_UPAK>
									</xsl:otherwise>	
								</xsl:choose> 
							</xsl:for-each>	
						</SPECDOP_ITEM>
					</xsl:for-each>
				</SPECDOP>
			</SPECPRIM_ITEM>
		</SPECPRIM>
	</xsl:template>
</xsl:stylesheet>
