<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<!--загрузка из декларанта в сертификаты и тс-->
<xsl:key use="concat(./G441,./G442,./G446)" name="Certif" match="//GTD44/GTD44_ITEM"/>
	
	<xsl:template name="CertifDoc">
		<xsl:param name="Keys"/>
		<CERTIF>
			<xsl:for-each select="$Keys">
				<CERTIF_ITEM>
					<xsl:if test="string-length(G443)>0">
						<DATE><xsl:value-of select="concat(substring(G443,9,2),'.',substring(G443,6,2),'.',substring(G443,1,4))"/></DATE>
					</xsl:if> 
					<xsl:if test="string-length(G446)>0">
					<DATE_BEGIN><xsl:value-of select="concat(substring(G446,9,2),'.',substring(G446,6,2),'.',substring(G446,1,4))"/></DATE_BEGIN>
					</xsl:if> 
					<xsl:if test="string-length(G447)>0">
						<DATE_END><xsl:value-of select="concat(substring(G447,9,2),'.',substring(G447,6,2),'.',substring(G447,1,4))"/></DATE_END>
					</xsl:if>	
					<NUM><xsl:value-of select="G442"/></NUM>
					<TYPE><xsl:value-of select="G441"/></TYPE>
					<xsl:if test="substring(G441,1,1)='6'">
						<CERTIF_PROD>
								<CERTIF_PROD_ITEM>
									<COUNTRY_CODE><xsl:value-of select="../../G34"/></COUNTRY_CODE>
									<CUST_CODE><xsl:value-of select="../../G33"/></CUST_CODE>
									<ITEM_NAME2><xsl:value-of select="../../G312"/></ITEM_NAME2>
								</CERTIF_PROD_ITEM>
						</CERTIF_PROD>
					</xsl:if>
			</CERTIF_ITEM>
			</xsl:for-each>
		</CERTIF>
	</xsl:template>
	
	<xsl:template name="Certif">
		<xsl:call-template name="CertifDoc">
			<xsl:with-param name="Keys" select="//GTD44/GTD44_ITEM[generate-id(.)=generate-id(key('Certif',concat(./G441,./G442,./G446)))]"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="/">
		<xsl:apply-templates select="//ALLDOCUMENTS"/>
	</xsl:template>
	<xsl:template match="ALLDOCUMENTS">
		<xsl:call-template name="Certif"/>
	</xsl:template>
</xsl:stylesheet>
